暂停监控
curl --request POST \
--url https://api.olostep.com/v1/monitors/{monitor_id}/pause \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.olostep.com/v1/monitors/{monitor_id}/pause"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.olostep.com/v1/monitors/{monitor_id}/pause', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "monitor",
"query": "<string>",
"tracked": {
"type": "<string>",
"urls": [
"<string>"
],
"web_query": "<string>"
},
"source_policy": {
"include_urls": [
"<string>"
],
"exclude_urls": [
"<string>"
],
"include_domains": [
"<string>"
],
"exclude_domains": [
"<string>"
]
},
"schedule": {
"frequency": "<string>",
"cron": "<string>",
"timezone": "UTC",
"next_run_at": "2023-11-07T05:31:56Z"
},
"notification": {
"events": [],
"channels": [
{
"target": "<string>",
"events": []
}
]
},
"webhook": {
"url": "<string>"
},
"output_schema": {},
"error_message": "<string>",
"last_run": {
"id": "<string>",
"status": "completed",
"change_detected": true,
"ran_at": "2023-11-07T05:31:56Z"
},
"agent": {
"id": "<string>"
},
"metadata": {},
"created": 123,
"updated": 123,
"total_count": 123,
"mermaid_diagram": "<string>"
}{
"error": "<string>",
"monitor_id": "<string>"
}{
"error": "<string>",
"monitor_id": "<string>"
}显示器
暂停监控器
通过禁用未来的计划运行来暂停监控器。
POST
/
v1
/
monitors
/
{monitor_id}
/
pause
暂停监控
授权
Bearer认证头格式为Bearer ,其中是你的认证令牌。
路径参数
Pattern:
^monitor_响应
监控已暂停。
唯一的监控器标识符 (monitor_…)。
示例:
"monitor"
自然语言中的监控意图。
规划完成后监控器跟踪的已解决目标。
Show child attributes
Show child attributes
在规划和执行期间应用的可选 URL/域名允许和拒绝列表。
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
可选的JSON Schema用于结构化提取输出。
监控生命周期状态。
可用选项:
provisioning, active, paused, failed, deleted 当status为failed时出现。
最新快照摘要。包含在GET /v1/monitors/{monitor_id}中。
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Unix时间戳(秒)。
Unix时间戳(秒)。
快照总数。除非include_total_count=false,否则包含在GET /v1/monitors/{monitor_id}中。
监控DAG的Mermaid流程图。当include-diagram=true时包含在获取中。
此页面对您有帮助吗?
⌘I